"""
The solution for Part 2.
"""

def friend_besties(individual: str, bestie_dict: dict[str, set[str]])-> list[str]:
    """Calculates the first-degree friends of an individual in a social network.

    ### Parameters:
        individual (str): An individual in the social network.
        bestie_dict (dict): A dictionary of sets of friends of each individual
        in the social network.

    ### Returns:
        besties (list): A sorted list of all the first-degree friends of the
        individual. If the individual has no first-degree friends, an empty list
        is returned.

    ### Examples:
    >>> friend_besties('kim', {'kim': {'sandy', 'alex', 'glenn'},
        'sandy': {'kim', 'alex'}, 'alex': {'kim', 'sandy'}, 'glenn': {'kim'}})
    ['alex', 'glenn', 'sandy']

    >>> friend_besties('ali', {'kim': {'sandy', 'alex', 'glenn'},
        'sandy': {'kim', 'alex'}, 'alex': {'kim', 'sandy'}, 'glenn': {'kim'}})
    []
    """

    return list(sorted(bestie_dict[individual])) if individual in bestie_dict else []
