"""
The solution for Part 3.
"""

def friend_second_besties(individual: str, bestie_dict: dict[str, set[str]]) -> list[str]:
    """Calculates the second-degree friends of an individual in a social network.

    ### Parameters:
        individual (str): An individual in the social network.
        bestie_dict (dict): A dictionary of sets of friends of each individual
        in the social network.

    ### Returns:
        second_besties (list): A sorted list of all the second-degree friends of
        the individual. If the individual has no second-degree friends, an empty
        list is returned.

    ### Examples:
    >>> friend_second_besties('glenn', {'kim': {'sandy', 'alex', 'glenn'},
        'sandy': {'kim', 'alex'}, 'alex': {'kim', 'sandy'}, 'glenn': {'kim'}})
    ['alex', 'sandy']

    >>> friend_second_besties('kim', {'kim': {'sandy', 'alex', 'glenn'},
        'sandy': {'kim', 'alex'}, 'alex': {'kim', 'sandy'}, 'glenn': {'kim'}})
    []
    """

    second_besties = set()
    for friend in bestie_dict[individual]:
        second_besties.update(bestie_dict[friend])
    return [i for i in sorted(second_besties) if i != individual and i not in
    bestie_dict[individual]]
